View Issue Details

IDProjectCategoryView StatusLast Update
0002993unrealircdpublic2019-10-14 15:11
ReportertabrisnetAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux/x86OSDebian LinuxOS Versiontesting
Product Version3.2.5 
Target VersionFixed in Version5.0.0-alpha4 
Summary0002993: Charsets and channel names
DescriptionWe have restrictions to handle èricson (doesn't allow it unless it's in the charset list) as a nick... but no way to limit channels, given say #surrèalchat vs #surrealchat
The ircd sees this as two channels, and there's no way to limit the charsets for channels that I can see.
Additional InformationIn truth... this came up b/c MySQL appears to be confused about the è vs é vs e chars, although it seems to handle others properly. At present I can't find a way to get MySQL to restrict the charset better, and in the meantime a more bruteforce method seems to be in order.

Even so, this could have its own issues for impersonation channels. Nothing like having a network with a #lobby vs #löbby. I realize that it will also take the case weird... Which is all the more reason to allow restrictions on the charsets for channels if we can for nicks.
TagsNo tags attached.
3rd party modules

Activities

stskeeps

2007-04-27 04:00

reporter   ~0013783

I'm going to 'ack' this, but errr.. there is HUGE problems with case mapping..

tabrisnet

2007-06-06 16:37

reporter   ~0014285

just a note on mysql. 4.0 doesn't handle it properly. 4.1 you can set a valid charset such that it handles it properly.

Trocotronic

2007-07-15 10:00

reporter   ~0014494

Charsys affects to nicknames. I also suggest to restrict channelnames, like nicknames (apply do_nick_name to channelnames).

tabrisnet

2007-07-16 13:20

reporter   ~0014503

You'd have to use a different validation function, as there are chars that are valid in channel names that are not valid in nicknames. But otherwise sounds like a good idea.

Trocotronic

2007-07-21 06:56

reporter   ~0014541

What characters are allowed in channels but not in nicks?

tabrisnet

2007-07-21 10:07

reporter   ~0014543

this list is not likely exhaustive

'";#=*~$%&!

syzop

2019-10-14 15:11

administrator   ~0020969

We did not add special CASEMAPPING support but we do have a setting that controls which characters to allow in channels now via set::allowed-channelchars.
If you are paranoid it is recommended to use the settings "ascii" which forbids high byte characters such as the one mentioned in this issue.

Issue History

Date Modified Username Field Change
2006-07-09 23:56 tabrisnet New Issue
2007-04-27 04:00 stskeeps Note Added: 0013783
2007-04-27 04:00 stskeeps Status new => acknowledged
2007-06-06 16:37 tabrisnet Note Added: 0014285
2007-07-15 10:00 Trocotronic Note Added: 0014494
2007-07-16 13:20 tabrisnet Note Added: 0014503
2007-07-21 06:56 Trocotronic Note Added: 0014541
2007-07-21 10:07 tabrisnet Note Added: 0014543
2015-08-08 17:52 syzop Severity minor => feature
2019-10-14 15:11 syzop Assigned To => syzop
2019-10-14 15:11 syzop Status acknowledged => resolved
2019-10-14 15:11 syzop Resolution open => fixed
2019-10-14 15:11 syzop Fixed in Version => 5.0.0-alpha4
2019-10-14 15:11 syzop Note Added: 0020969